Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 789708 - dev-util/duma-2.5.15-r2 - dumapp.h: error: ISO C++17 does not allow dynamic exception specifications (maybe gcc-11 related)
Summary: dev-util/duma-2.5.15-r2 - dumapp.h: error: ISO C++17 does not allow dynamic e...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Andrew Savchenko
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-05-12 16:54 UTC by Toralf Förster
Modified: 2021-08-05 01:27 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.18 KB, text/plain)
2021-05-12 16:54 UTC, Toralf Förster
Details
dev-util:duma-2.5.15-r2:20210512-155815.log (dev-util:duma-2.5.15-r2:20210512-155815.log,9.94 KB, text/plain)
2021-05-12 16:54 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,192.09 KB, text/plain)
2021-05-12 16:54 UTC, Toralf Förster
Details
environment (environment,62.01 KB, text/plain)
2021-05-12 16:54 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,15.17 KB, application/x-bzip)
2021-05-12 16:54 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,16.67 KB, application/x-bzip)
2021-05-12 16:54 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-05-12 16:54:33 UTC
x86_64-pc-linux-gnu-gcc -Wl,-O1 -Wl,--as-needed -Wl,--defsym=__gentoo_check_ldflags__=0 -O0 -Wall -Wextra -U_FORTIFY_SOURCE -DDUMA_SO_NO_LEAKDETECTION  -c duma.c -o duma.o
In file included from dumapp.cpp:39:
dumapp.h:84:49: error: ISO C++17 does not allow dynamic exception specifications
   84 |     void * DUMA_CDECL operator new(DUMA_SIZE_T) throw(std::bad_alloc);
      |                                                 ^~~~~
dumapp.h:94:51: error: ISO C++17 does not allow dynamic exception specifications
   94 |     void * DUMA_CDECL operator new[](DUMA_SIZE_T) throw(std::bad_alloc);

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-j2-20210510-165205

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.3.1
 [2] x86_64-pc-linux-gnu-11.1.0 *
clang version 12.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.0
Python 3.8.10
Available Rust versions:
  [1]   rust-bin-1.52.1 *
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.292_p10 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.10.4

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Wed May 12 15:05:28 UTC 2021

emerge -qpvO dev-util/duma
[ebuild  N    ] dev-util/duma-2.5.15-r2  USE="examples"
Comment 1 Toralf Förster gentoo-dev 2021-05-12 16:54:34 UTC
Created attachment 707640 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-05-12 16:54:35 UTC
Created attachment 707643 [details]
dev-util:duma-2.5.15-r2:20210512-155815.log
Comment 3 Toralf Förster gentoo-dev 2021-05-12 16:54:36 UTC
Created attachment 707646 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2021-05-12 16:54:38 UTC
Created attachment 707649 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2021-05-12 16:54:39 UTC
Created attachment 707652 [details]
etc.portage.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-05-12 16:54:40 UTC
Created attachment 707655 [details]
temp.tar.bz2
Comment 7 Sam James archtester gentoo-dev Security 2021-07-29 06:11:47 UTC
Ping
Comment 8 Andrew Savchenko gentoo-dev 2021-08-03 10:19:19 UTC
New upstream made major update with complete rewrite of the build system, I'm working on it, but this will take time. It will fix this and other duma issues.

ETA: second half of August.
Comment 9 Sam James archtester gentoo-dev Security 2021-08-05 01:20:40 UTC
(In reply to Andrew Savchenko from comment #8)
> New upstream made major update with complete rewrite of the build system,
> I'm working on it, but this will take time. It will fix this and other duma
> issues.
> 
> ETA: second half of August.

Great news, thanks.

In the meantime, let's set -std=c++14 or earlier in order to allow gcc-11 to proceed in the tree?
Comment 10 Larry the Git Cow gentoo-dev 2021-08-05 01:27:10 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72c1def52827d5becfb23b3312754d26468c8e0e

commit 72c1def52827d5becfb23b3312754d26468c8e0e
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-08-05 01:26:21 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-08-05 01:26:21 +0000

    dev-util/duma: workaround GCC 11 build failure for now
    
    Going with this given a new release is coming
    which fixes the issue properly anyhow.
    
    Closes: https://bugs.gentoo.org/789708
    Signed-off-by: Sam James <sam@gentoo.org>

 dev-util/duma/duma-2.5.15-r2.ebuild | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)